package faktorial;

import java.util.Scanner;

/**
 * n! = n*(n-1)*...*2*1 0! = 1 1! = 1 2! = 2 3! = 1*2*3 = 6
 *
 * @author lsroubov
 */
public class Faktorial {

    public static long fakt(int cislo) {
        long v = 1;
        for (int i = cislo; i > 1; i--) { /* -- unarni operator, i-- odpovida i=i-1*/
            v *= i;       // v = v * i;
        }
        return (v);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        System.out.println("Zadej cislo: ");
        int cislo = sc.nextInt();
        if (cislo < 0) {
            System.out.println("Faktorial nepocitam. ");
        } else {
            System.out.printf("Faktorial cisla %d je %d\n", cislo, fakt(cislo));
        }
        System.out.println("Max rozah int: " + Integer.MAX_VALUE);
        System.out.println("Max rozah long: " + Long.MAX_VALUE);
    }

}
